<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>com.cf.imes</groupId>
        <artifactId>cf-module-system</artifactId>
        <version>${revision}</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <artifactId>cf-module-system-biz</artifactId>
    <packaging>jar</packaging>

    <name>${project.artifactId}</name>
    <description>
        system 模块下，我们放通用业务，支撑上层的核心业务。
        例如说：用户、部门、权限、数据字典等等
    </description>

    <dependencies>
        <dependency>
            <groupId>com.cf.imes</groupId>
            <artifactId>cf-spring-boot-starter-env</artifactId>
        </dependency>

        <!-- 依赖服务 -->
        <dependency>
            <groupId>com.cf.imes</groupId>
            <artifactId>cf-module-system-api</artifactId>
            <version>${revision}</version>
        </dependency>
        <dependency>
            <groupId>com.cf.imes</groupId>
            <artifactId>cf-module-infra-api</artifactId>
            <version>${revision}</version>
        </dependency>

        <!-- 业务组件 -->
        <dependency>
            <groupId>com.cf.imes</groupId>
            <artifactId>cf-spring-boot-starter-biz-operatelog</artifactId>
        </dependency>

        <dependency>
            <groupId>com.cf.imes</groupId>
            <artifactId>cf-spring-boot-starter-biz-organ</artifactId>
        </dependency>
        <dependency>
            <groupId>com.cf.imes</groupId>
            <artifactId>cf-spring-boot-starter-biz-ip</artifactId>
        </dependency>
        <dependency>
            <groupId>com.cf.imes</groupId>
            <artifactId>cf-spring-boot-starter-biz-id</artifactId>
        </dependency>

        <!-- Web 相关 -->

        <dependency>
            <groupId>com.fasterxml.jackson.datatype</groupId>
            <artifactId>jackson-datatype-jsr310</artifactId>
        </dependency>

        <dependency>
            <groupId>com.cf.imes</groupId>
            <artifactId>cf-spring-boot-starter-security</artifactId>
        </dependency>

        <!-- DB 相关 -->
        <dependency>
            <groupId>com.cf.imes</groupId>
            <artifactId>cf-spring-boot-starter-mybatis</artifactId>
        </dependency>

        <dependency>
            <groupId>com.cf.imes</groupId>
            <artifactId>cf-spring-boot-starter-redis</artifactId>
        </dependency>

        <dependency>
            <groupId>com.cf.imes</groupId>
            <artifactId>cf-spring-boot-starter-elasticsearch</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>jakarta.json</groupId>
                    <artifactId>jakarta.json-api</artifactId>
                </exclusion>
            </exclusions>
            <version>${revision}</version>
        </dependency>

        <dependency>
            <groupId>jakarta.json</groupId>
            <artifactId>jakarta.json-api</artifactId>
            <version>2.1.1</version>
        </dependency>

        <!-- RPC 远程调用相关 -->
        <dependency>
            <groupId>com.cf.imes</groupId>
            <artifactId>cf-spring-boot-starter-rpc</artifactId>
        </dependency>

        <!-- Registry 注册中心相关 -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
        </dependency>

        <!-- Config 配置中心相关 -->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
        </dependency>

        <!-- Job 定时任务相关 -->
       <!-- <dependency>
            <groupId>com.cf.imes</groupId>
            <artifactId>cf-spring-boot-starter-job</artifactId>
        </dependency>-->

        <!-- 消息队列相关 -->
        <dependency>
            <groupId>com.cf.imes</groupId>
            <artifactId>cf-spring-boot-starter-mq</artifactId>
        </dependency>

        <!-- Test 测试相关 -->
        <dependency>
            <groupId>com.cf.imes</groupId>
            <artifactId>cf-spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>

        <!-- 工具类相关 -->
        <dependency>
            <groupId>com.cf.imes</groupId>
            <artifactId>cf-spring-boot-starter-excel</artifactId>
        </dependency>

        <dependency>
            <groupId>com.anji-plus</groupId>
            <artifactId>captcha-spring-boot-starter</artifactId> <!-- 验证码，一般用于登录使用 -->
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-mail</artifactId>
        </dependency>

        <!-- 监控相关 -->
        <dependency>
            <groupId>com.cf.imes</groupId>
            <artifactId>cf-spring-boot-starter-monitor</artifactId>
        </dependency>

        <!-- 三方云服务相关 -->
        <dependency>
            <groupId>me.zhyd.oauth</groupId>
            <artifactId>JustAuth</artifactId> <!-- 社交登陆（例如说，个人微信、企业微信等等） -->
        </dependency>
        <dependency>
            <groupId>com.xkcoding.justauth</groupId>
            <artifactId>justauth-spring-boot-starter</artifactId>
            <exclusions>
                <!-- 移除，避免和项目里的 hutool-all 冲突 -->
                <exclusion>
                    <groupId>cn.hutool</groupId>
                    <artifactId>hutool-core</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>com.github.binarywang</groupId>
            <artifactId>wx-java-mp-spring-boot-starter</artifactId> <!-- 微信登录（公众号） -->
        </dependency>
        <dependency>
            <groupId>com.github.binarywang</groupId>
            <artifactId>wx-java-miniapp-spring-boot-starter</artifactId>  <!-- 微信登录（小程序） -->
        </dependency>
        <dependency>
            <groupId>com.cf.imes</groupId>
            <artifactId>cf-module-prod-executor-api</artifactId>
            <version>${revision}</version>
        </dependency>



        <!-- JJWT 依赖 -->
        <dependency>
            <groupId>io.jsonwebtoken</groupId>
            <artifactId>jjwt-api</artifactId>
            <version>0.11.5</version>
        </dependency>
        <dependency>
            <groupId>io.jsonwebtoken</groupId>
            <artifactId>jjwt-impl</artifactId>
            <version>0.11.5</version>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>io.jsonwebtoken</groupId>
            <artifactId>jjwt-jackson</artifactId>
            <version>0.11.5</version>
            <scope>runtime</scope>
        </dependency>


        <dependency>
            <groupId>com.cf.imes</groupId>
            <artifactId>cf-spring-boot-starter-biz-pay</artifactId>
        </dependency>


    </dependencies>

    <build>
        <!-- 设置构建的 jar 包名 -->
        <finalName>${project.artifactId}</finalName>
        <plugins>
            <!-- 打包 -->
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>${spring.boot.version}</version>
                <configuration>
                    <layout>ZIP</layout>
                    <includes>
                        <include>
                            <groupId>com.cf.imes</groupId>
                            <artifactId>cf-common</artifactId>
                        </include>
                        <include>
                            <groupId>com.cf.imes</groupId>
                            <artifactId>cf-module-infra-api</artifactId>
                        </include>
                        <include>
                            <groupId>com.cf.imes</groupId>
                            <artifactId>cf-module-prod-executor-api</artifactId>
                        </include>
                        <include>
                            <groupId>com.cf.imes</groupId>
                            <artifactId>cf-module-system-api</artifactId>
                        </include>

                        <include>
                            <groupId>com.cf.imes</groupId>
                            <artifactId>cf-spring-boot-starter-biz-ip</artifactId>
                        </include>
                        <include>
                            <groupId>com.cf.imes</groupId>
                            <artifactId>cf-spring-boot-starter-biz-id</artifactId>
                        </include>
                        <include>
                            <groupId>com.cf.imes</groupId>
                            <artifactId>cf-spring-boot-starter-biz-operatelog</artifactId>
                        </include>
                        <include>
                            <groupId>com.cf.imes</groupId>
                            <artifactId>cf-spring-boot-starter-biz-organ</artifactId>
                        </include>
                        <include>
                            <groupId>com.cf.imes</groupId>
                            <artifactId>cf-spring-boot-starter-elasticsearch</artifactId>
                        </include>
                        <include>
                            <groupId>com.cf.imes</groupId>
                            <artifactId>cf-spring-boot-starter-env</artifactId>
                        </include>
                        <include>
                            <groupId>com.cf.imes</groupId>
                            <artifactId>cf-spring-boot-starter-excel</artifactId>
                        </include>
                        <include>
                            <groupId>com.cf.imes</groupId>
                            <artifactId>cf-spring-boot-starter-monitor</artifactId>
                        </include>
                        <include>
                            <groupId>com.cf.imes</groupId>
                            <artifactId>cf-spring-boot-starter-mybatis</artifactId>
                        </include>
                        <include>
                            <groupId>com.cf.imes</groupId>
                            <artifactId>cf-spring-boot-starter-redis</artifactId>
                        </include>
                        <include>
                            <groupId>com.cf.imes</groupId>
                            <artifactId>cf-spring-boot-starter-rpc</artifactId>
                        </include>
                        <include>
                            <groupId>com.cf.imes</groupId>
                            <artifactId>cf-spring-boot-starter-security</artifactId>
                        </include>
                        <include>
                            <groupId>com.cf.imes</groupId>
                            <artifactId>cf-spring-boot-starter-web</artifactId>
                        </include>
                        <include>
                            <groupId>com.cf.imes</groupId>
                            <artifactId>cf-spring-boot-starter-mq</artifactId>
                        </include>
                        <include>
                            <groupId>com.cf.imes</groupId>
                            <artifactId>cf-spring-boot-starter-biz-pay</artifactId>
                        </include>
                    </includes>
                </configuration>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal> <!-- 将引入的 jar 打入其中 -->
                        </goals>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-dependency-plugin</artifactId>
                <version>${maven.dependency.plugin.version}</version>
                <executions>
                    <execution>
                        <phase>prepare-package</phase>
                        <goals>
                            <goal>copy-dependencies</goal>
                        </goals>
                        <configuration>
                            <!-- 将依赖放到target/lib目录下 -->
                            <outputDirectory>target/lib</outputDirectory>
                            <!-- 排除自身的代码包-->
                            <excludeGroupIds>com.cf.imes</excludeGroupIds>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-assembly-plugin</artifactId>
                <version>${maven.assembly.plugin.version}</version>
                <configuration>
                    <appendAssemblyId>false</appendAssemblyId>
                    <descriptors>
                        <!--指定assembly配置文件位置-->
                        <descriptor>src/main/build/assembly.xml</descriptor>
                    </descriptors>
                </configuration>
                <executions>
                    <execution>
                        <id>bundle</id>
                        <phase>package</phase>
                        <goals>
                            <goal>single</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>

</project>
